Bug 140935 - Manual: add some words about 512-glyph font side effects
Manual: add some words about 512-glyph font side effects
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
: EasyFix, FutureFeature, Patch
Depends On:
  Show dependency treegraph
Reported: 2004-11-26 11:57 EST by Dmitry Butskoy
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.12-4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-19 17:42:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for setfont.8 manual (629 bytes, patch)
2004-11-26 11:59 EST, Dmitry Butskoy
no flags Details | Diff

  None (edit)
Description Dmitry Butskoy 2004-11-26 11:57:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:

  On the Linux console we can use fonts with more than 256 glyphs
("512-glyph mode"). But such "big" fonts cause some restrictions. Due
to VGA hardware limitation, it is impossible to use "intensity" bit
when 512-glyph font is used. In other words, instead of two groups of
colors (0-7 and 8-15), we have only one (0-7).
  As a result, console colors are spoiled. First of all, yellow color
completely disappears! Besides there is no possibility to choose two
kinds of intensity.

  Currently, I couls not find a mention of this feature anywhere in
the   distribution. Therefore it would be quite good to add some
words, for example, to setfont.8

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
 To see the color difference under 256/512-glyph fonts:

1. Load some 512-glyph font, for example:
"setfont latarcyrheb-sun16"
2. Run "ntsysv", "mc" or some another console (curses/slang) applications.

Actual Results:  In "ntsysv", service names are reddish (or
red-brown) instead of pure yellow.
 In "mc", the same is for panel headers. Additionally, subdirectory
are not highlighted (but should be).

Expected Results:  Expected results may be seen just after loading
of any 256-glyph fonts:
"setfont default8x16"
Now "ntsysv" and "mc" has yellow, subdirectory in "mc" are highlighted.

  More evident test is possible:
Run "mc" on one virtual console, then switch to another and load
256/512 fonts on it. After loading, switch back, type Ctrl-L (to
redraw MC, because consoles are damaged immediately after "setfont")
and see the difference.

Additional info:

 This issue is actual for RedHat, because since RedHat-9, the
512-glyph font "latarcyrheb-sun16" is used for initial installed systems.

 I have spent some hours to understand who has eaten yellow color on
my just bought computer. Some UNIX users whom I wanted to transfer on
RedHat, have told that "Midnight Commander at your Linux looks
worse!". Etc.
 The advanced users can faster cope with this issue if there will be a
mention of it in the documentation.

 I have made a small patch for setfont.8
Comment 1 Dmitry Butskoy 2004-11-26 11:59:26 EST
Created attachment 107487 [details]
Patch for setfont.8 manual

Add some words to the setfont.8 manual about side effects on 512-glyph font
Comment 2 Miloslav Trmač 2005-02-19 17:42:26 EST
Thanks for the patch!
As you might have already noticed, I have forwarded it upstream;
in rawhide it should appear in kbd-1.12-4.

Note You need to log in before you can comment on or make changes to this bug.